List projects for a connector
GET
https://api.vercel.com/v2/connect/connectors/{connector}/projectsList the projects connected to a connector and the environments where each connection is available.
https://api.vercel.com/v2/connect/connectors/{connector}/projects
const response = await fetch('https://api.vercel.com/v2/connect/connectors/connector/projects?limit=123&cursor=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "pagination": { "next": "string" }, "projects": [ { "connectorId": "example_id", "createdAt": "123", "enabledEnvironments": [], "project": { "customEnvironments": [ { "id": "icfg_1234567890", "slug": "string" } ], "id": "icfg_1234567890", "name": "Example Name" }, "updatedAt": "123" } ]}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism
The team ID that scopes the request. Do not send it with slug. If both are omitted, Vercel uses the team associated with the token or the authenticated user's default team. The request returns 401 if no team can be selected.